@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');




a {
    color: inherit;
    /* blue colors for links too */
    text-decoration: inherit;
    /* no underline */
}

/* colors */

:root {
    --veryDarkBlue: hsl(243, 87%, 12%);
    --desaturatedBlue: hsl(238, 22%, 44%);
    --brightBlue: hsl(224, 93%, 58%);
    --moderateCyan: hsl(170, 45%, 43%);
    --lightGrayishBlue: hsl(240, 45%, 98%);
    --lightGray: hsl(0, 0%, 75%);
}

/* body */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Open Sans', sans-serif;
    color: var(--veryDarkBlue);
}


/* general */
h1 {
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    margin-bottom: 20px;
}

h2,
h3 {
    margin-bottom: 1.5rem;
}


p {
    font-weight: 600;
    line-height: 1.5;
    margin-bottom: 25px;
}

.container {
    width: 1200px;
    max-width: 90%;
    margin: 0 auto;
    padding: 50px 0;
}

.section-container {
    display: flex;
}

/* link */

/* unvisited link */
header nav ul li a:link {
    color: var(--veryDarkBlue);
}

/* visited link */
header nav ul li a:visited {
    color: var(--veryDarkBlue);
}

/* mouse over link */
header nav ul li a:hover {
    color: var(--brightBlue);
    text-decoration: underline;
}

/* selected link */
header nav ul li a:active {
    color: blue;
}

/* header */

nav {
    display: flex;
    justify-content: space-between;
}

nav ul {
    display: flex;
}

nav li {
    list-style: none;
    margin: 0 25px;
}

/* section-1 */
.section-1 {
    margin-bottom: 12vh;
}

.left {
    width: 40vw;
}


.left p {
    margin-bottom: 20px;
}

.right img {
    width: 100%;
}

input,
button {
    padding: 10px 10px;
}


form input {
    width: 60%;
    border: 2px solid var(--lightGrayishBlue);
}


form button {
    width: 30%;
    margin-left: 10px;
    background-color: var(--brightBlue);
    color: var(--lightGrayishBlue);
    border: 1px solid var(--veryDarkBlue);
    border-radius: 2px;
}

button:hover {
    cursor: pointer;
    background-color: hsl(224, 93%, 65%);
}

.fab:hover {
    color: hsl(224, 93%, 65%);
    cursor: pointer;
}

/* section-2 */
.section-2 {
    padding: 3rem 0;
    background-color: var(--lightGrayishBlue);
    position: relative;
}

.section-2::before {
    content: " ";
    width: 100%;
    height: 100%;
    background: url("./img/bg-curve-desktop.svg") no-repeat;
    position: absolute;
    top: -72px;
    /* left: 300px; */
}

::placeholder {
    border: gray;
}


.left>a:link {
    color: var(--moderateCyan);
    text-decoration: underline;
    display: block;
    margin-bottom: 1rem;
}

.box {
    padding: 1.5rem;
    background-color: white;
    box-sizing: content-box;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    transition: 0.3s;
}

.box:hover {
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.author {
    display: flex;
}

.avatar {
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

.info {
    padding: 0.25rem;
}

/* section-3 */

.section-3 {
    background-color: var(--desaturatedBlue);
}

.section-3 .right {
    width: 50%;
}

.section-3 form {
    display: flex;
    flex-direction: column;
}

.section-3 input {
    width: 100%;
    margin-bottom: 10px;
    border-radius: 2px;
}

.section-3 button {
    margin: 0;
    width: 50%;
    border-radius: 5px;
    border-color: var(--desaturatedBlue);
}

.section-3>.container {
    padding-top: 70px;
}

h3 {
    color: white;
}

.left>p {
    color: var(--veryDarkBlue);
}




/* Footer */

footer {
    background-color: var(--veryDarkBlue);
    color: white;
}

footer ul li a {
    color: #fff;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 5rem;
}

footer ul li {
    list-style-type: none;
    margin-bottom: 10px;
}

.footer-container div>* {
    margin-bottom: 20px;
}

.footer-container>div>p>img {
    padding-right: 10px;
}

.social-icons .fab {
    display: inline-block;
    margin: 0 10px;
    padding: 10px;
    border: 1px solid #fff;
    border-radius: 50%;
}

/* mobile styles */
@media screen and (max-width: 1000px) {
    nav img {
        width: 100px;
    }

    nav li {
        list-style: none;
        margin: 0 8px;
    }

    .section-container {
        flex-direction: column;
    }

    .section-1 p {
        width: 100%;
    }

    .box {
        margin: 4rem auto;
    }


    .left {
        width: 100%;
        padding-right: 0;
    }

    .section-3 .left {
        width: 100%;
    }

    .section-3 .right {
        width: 100%;
    }

    .section-3 button {
        width: 100%;
    }

    .right {
        order: -1;
        padding-bottom: 5rem;
    }

    .footer-container {
        flex-direction: column;
        align-items: flex-start;
    }

    .social-icons {
        align-self: center;
    }

    footer div {
        margin-bottom: 2rem;
    }

}